<?php
/**
 * Attributes File.
 *
 * @since 2.6.0
 *
 * @package uagb
 */

$content_border_attributes = UAGB_Block_Helper::uag_generate_border_attribute( 'content' );

return array_merge(
	$content_border_attributes,
	array(
		// ------------------------- BLOCK SETTINGS.
		'block_id'                    => '',
		'isPreview'                   => false,
		'variationSelected'           => false,
		'variantType'                 => '',
		// ------------------------- POPUP SETTINGS.
		'popupPositionH'              => '',
		'popupPositionV'              => '',
		'popupContentAlignmentV'      => 'flex-start',
		'popupWidth'                  => 700,
		'popupWidthTablet'            => '',
		'popupWidthMobile'            => '',
		'popupWidthUnit'              => 'px',
		'popupWidthUnitTablet'        => 'px',
		'popupWidthUnitMobile'        => 'px',
		'popupHeight'                 => '',
		'popupHeightTablet'           => '',
		'popupHeightMobile'           => '',
		'popupMaxHeight'              => '',
		'popupMaxHeightTablet'        => '',
		'popupMaxHeightMobile'        => '',
		'popupHeightUnit'             => 'px',
		'popupHeightUnitTablet'       => 'px',
		'popupHeightUnitMobile'       => 'px',
		'hasFixedHeight'              => false,
		'popupBehaviour'              => 'overlay',
		'hasOverlay'                  => true,
		'isDismissable'               => true,
		'haltBackgroundInteraction'   => true,
		'willPushContent'             => true,
		// ------------------------- CLOSE SETTINGS.
		'closeIcon'                   => 'xmark',
		'closeIconPosition'           => 'top-right',
		'closeOverlayClick'           => true,
		'closeEscapePress'            => true,
		// ------------------------- POPUP STYLING ( BACKGROUND ).
		'selectGradient'              => 'basic',
		'gradientValue'               => 'linear-gradient(90deg, rgb(149, 201, 242) 0%, rgb(206, 168, 240) 100%)',
		'gradientColor1'              => '#06558a',
		'gradientColor2'              => '#0063a1',
		'gradientType'                => 'linear',
		'gradientLocation1'           => 0,
		'gradientLocation2'           => 100,
		'gradientAngle'               => 0,
		'backgroundImageColor'        => '#ffffff75',
		'backgroundSizeDesktop'       => 'cover',
		'backgroundSizeTablet'        => '',
		'backgroundSizeMobile'        => '',
		'backgroundCustomSizeDesktop' => 100,
		'backgroundCustomSizeTablet'  => '',
		'backgroundCustomSizeMobile'  => '',
		'backgroundCustomSizeType'    => '%',
		'backgroundRepeatDesktop'     => 'no-repeat',
		'backgroundRepeatTablet'      => '',
		'backgroundRepeatMobile'      => '',
		'backgroundAttachmentDesktop' => 'scroll',
		'backgroundAttachmentTablet'  => '',
		'backgroundAttachmentMobile'  => '',
		'backgroundPositionDesktop'   => array(
			'x' => 0.5,
			'y' => 0.5,
		),
		'backgroundPositionTablet'    => '',
		'backgroundPositionMobile'    => '',
		'backgroundImageDesktop'      => '',
		'backgroundImageTablet'       => '',
		'backgroundImageMobile'       => '',
		'backgroundColor'             => '#ffffff',
		'backgroundType'              => 'none',
		'overlayType'                 => 'none',
		'customPosition'              => 'default',
		'xPositionDesktop'            => '',
		'xPositionTablet'             => '',
		'xPositionMobile'             => '',
		'xPositionType'               => 'px',
		'xPositionTypeTablet'         => 'px',
		'xPositionTypeMobile'         => 'px',
		'yPositionDesktop'            => '',
		'yPositionTablet'             => '',
		'yPositionMobile'             => '',
		'yPositionType'               => 'px',
		'yPositionTypeTablet'         => 'px',
		'yPositionTypeMobile'         => 'px',
		// ------------------------- POPUP STYLING.
		'popupOverlayColor'           => 'rgba(0,0,0,0.75)',
		// ------------------------- CLOSE STYLING.
		'closeIconSize'               => 25,
		'closeIconSizeTablet'         => '',
		'closeIconSizeMobile'         => '',
		'closeIconColor'              => '',
		'closeIconColorHover'         => '',
		// ------------------------- BOX SHADOW STYLING.
		'useSeparateBoxShadows'       => false,
		'boxShadowColor'              => '#00000070',
		'boxShadowHOffset'            => 0,
		'boxShadowVOffset'            => 0,
		'boxShadowBlur'               => '',
		'boxShadowSpread'             => '',
		'boxShadowPosition'           => 'outset',
		'boxShadowColorHover'         => '',
		'boxShadowHOffsetHover'       => 0,
		'boxShadowVOffsetHover'       => 0,
		'boxShadowBlurHover'          => '',
		'boxShadowSpreadHover'        => '',
		'boxShadowPositionHover'      => 'outset',
		// ------------------------- SPACE STYLING ( POPUP ).
		'popupPaddingTop'             => 32,
		'popupPaddingRight'           => 32,
		'popupPaddingBottom'          => 32,
		'popupPaddingLeft'            => 32,
		'popupPaddingTopTablet'       => '',
		'popupPaddingRightTablet'     => '',
		'popupPaddingBottomTablet'    => '',
		'popupPaddingLeftTablet'      => '',
		'popupPaddingTopMobile'       => '',
		'popupPaddingRightMobile'     => '',
		'popupPaddingBottomMobile'    => '',
		'popupPaddingLeftMobile'      => '',
		'popupPaddingUnit'            => 'px',
		'popupPaddingUnitTablet'      => 'px',
		'popupPaddingUnitMobile'      => 'px',
		'popupPaddingLink'            => true,
		'popupMarginTop'              => '',
		'popupMarginRight'            => '',
		'popupMarginBottom'           => '',
		'popupMarginLeft'             => '',
		'popupMarginTopTablet'        => '',
		'popupMarginRightTablet'      => '',
		'popupMarginBottomTablet'     => '',
		'popupMarginLeftTablet'       => '',
		'popupMarginTopMobile'        => '',
		'popupMarginRightMobile'      => '',
		'popupMarginBottomMobile'     => '',
		'popupMarginLeftMobile'       => '',
		'popupMarginUnit'             => 'px',
		'popupMarginUnitTablet'       => 'px',
		'popupMarginUnitMobile'       => 'px',
		'popupMarginLink'             => true,
		// ------------------------- SPACE STYLING ( CLOSE BUTTON ).
		'closePaddingTop'             => '',
		'closePaddingRight'           => '',
		'closePaddingBottom'          => '',
		'closePaddingLeft'            => '',
		'closePaddingTopTablet'       => '',
		'closePaddingRightTablet'     => '',
		'closePaddingBottomTablet'    => '',
		'closePaddingLeftTablet'      => '',
		'closePaddingTopMobile'       => '',
		'closePaddingRightMobile'     => '',
		'closePaddingBottomMobile'    => '',
		'closePaddingLeftMobile'      => '',
		'closePaddingUnit'            => 'px',
		'closePaddingUnitTablet'      => 'px',
		'closePaddingUnitMobile'      => 'px',
		'closePaddingLink'            => true,
		// ------------------------- BORDER OVERWRITING VALUES.
		'contentBorderStyle'          => 'default',
	)
);
